### Class

# WebKit2WebExtension DOMObject

#### Description

    class WebKit2WebExtension.DOMObject : GObject.Object {
      parentInstance: GObject,
      coreObject: gpointer
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- WebKitDOMBlob
- WebKitDOMCSSRule
- WebKitDOMCSSRuleList
- WebKitDOMCSSStyleDeclaration
- WebKitDOMCSSValue
- WebKitDOMClientRect
- WebKitDOMClientRectList
- WebKitDOMDOMImplementation
- WebKitDOMDOMSelection
- WebKitDOMDOMTokenList
- WebKitDOMDOMWindow
- WebKitDOMEvent
- WebKitDOMFileList
- WebKitDOMHTMLCollection
- WebKitDOMMediaList
- WebKitDOMNamedNodeMap
- WebKitDOMNode
- WebKitDOMNodeIterator
- WebKitDOMNodeList
- WebKitDOMRange
- WebKitDOMStyleSheet
- WebKitDOMStyleSheetList
- WebKitDOMTreeWalker
- WebKitDOMXPathExpression
- WebKitDOMXPathResult

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMObjectClass {
      GObjectClass parentClass;

    }

###### Class members

`parentClass`

    GObjectClass

| No description available.